%function Asc2wav8
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Asc2wav
%   Convert ASCII file to binary AUKE file, and generate
%   command file to be used by AUKE program Waves.
%   usage: Asc2wav
%   Parameters are asked from screen
%
%	version 8: changed to general setup per script
%	31-Jan-05
%					H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Asc2wav
%   Convert ASCII file to binary AUKE file, and generate
%   command file to be used by AUKE program Waves.
%	version 8: changed to general setup per script
%	31-Jan-05
% Programmabeschrijving:
% Het programma leest de gegevens uit een door de gebruiker aan te
% wijzen invoerbestand.
% De data worden ingelezen in een matrix met de kanalen
% als kolommen. Waves gebruikt hiervan de opgegeven kolommen
% voor golfanalyse. 
%
% invoer van de gebruiker:
%	tijdstap van de metingen
%	schaalfactor van de meetwaarden naar meters
%   monsternummer eerste te analyseren meetpunt
%   monsternummer laatste te analyseren meetpunt
%	aantal te verwerken kolommen
%	per kolom: het kolomnummer en de x-coordinaat in m
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% add functionns to path:
addpath('.\Functions');
err1 = 0;

% read Ascii-file:
% FN_infile7 met toevoeging padnaam
[in_name, path_name, Fileinfo, A, type, err1] = FN_infile8;

if err1==0 & in_name~=0 & type==1
    
    % read parameters:
    % alle FN_inparm samenvoegen; start->err1
    scr_num = 1;
    [nsamp,nchan] = size(A);
    [Inparm,err1] = FN_inparm2(scr_num,nchan);
    
    if err1==0

        % select samples:
        % minder parameters; start->err1
%        [Scin,Scannums,Ts,A1,err1] = FN_selectnw(A,Fileinfo,Inparm);
        show = 1;
        [Scanparm,Ts,A1,err1] = FN_selectnw2(A,Fileinfo,Inparm,show);

        % testuitvoer
%        if err1==0
%           FN_outtest1(Fileinfo,Inparm,Scanparm,A,Ts,A1);
%           err1 = 101;
%        end
        clear A;
        
        if err1==0
           
            % bepaal een DOS-naam (incl pad) en het pad 
            % voor het uitvoerbestand:
            infile = [path_name in_name];
            [dosnaam,uitpad,start2] = FN_dosname3(infile);		
                
            if start2==1

           		%%%% schrijf databestand:
           		[nsamp,nchan] = FN_bin5(A1,dosnaam);
    
           		%%%% schrijf gegevensbestand:
           		FN_seq5(Inparm,Scanparm,nsamp,nchan,dosnaam);

           		%%%% schrijf commandobestand voor Waves:
           		FN_waves2(uitpad,dosnaam,Inparm);
            end     %start2==1    
        end     % FN_selectnw1 OK
    end     % FN_inparmall OK
end     % FN_infile8 OK    

% foutafhandeling
FN_error(err1);

% end of Asc2wav