function Bekijkb
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Bekijkb
%   view data from binary file of 2 bytes integers
%   usage: Bekijkb
%   Parameters are asked from screen
%
%   version 5: changed to general setup per script
%   11-Jan-05
%
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%   version 5: changed to general setup per script
%   versie 4: elektronisch golfschot: [-20000,+20000]
%   versie 3: fout, vervalt.
%	versie 1
%	10-12-01
%   versie 2: onthoudt pad, jan 03
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% bekijkb:	Maakt gegevens uit een te kiezen binair 
%	bestand met int16 getallen zichtbaar.
% Om praktische redenen wordt vermenigvuldigd met 10/32768
% (10 V komt overeen met 2^15=32768).
% Gebruikte functies:
% Diverse functies uit R:\Matlab\Toolbox\Matlab\Uitools
% FN_fileinfb, FN_inparmb, FN_indatb, FN_plot3.
%					H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Programmabeschrijving:
% Het programma leest de gegevens uit een door de gebruiker aan te
% wijzen invoerbestand. 
% Er wordt een elementaire leesopdracht gebruikt.
% Geavanceerde sturing naar kanaal (nog) niet mogelijk.
% Het programma Bekijk wordt als basis gebruikt,
% hoewel nog niet alle parameters betekenis hebben.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% HOOFDPROGRAMMA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% voeg functies aan pad toe:
%addpath('D:\Hetty\Matlab\Lab_process\Functions');
addpath('.\Functions');

% kies invoerbestand
filetext='Input file';
[in_naam, padnaam] = FN_chsf4('*.dat',filetext);

if in_naam~=0

%%%% Vraag gegevens aan de gebruiker op:
    [nread,start] = FN_fileinfb2;

    %%%% Ga door als start=1:
    if start==1
   
       %%%% vraag parameters:
       % alle FN_inparm samenvoegen; start->err1
       scr_num = 2;
       nchan = 1;
       [Inparm,err1] = FN_inparm2(scr_num,nchan);
   
       if err1==0
    
            %%%% open uitvoerbestand:
            % uitfile=[padnaam '\uit' in_naam];
        	% FID1=fopen(uitfile,'w');
  	        % FN_headrb(FID1);

   
            %%%% naam invoerbestand:      
            infile=[padnaam in_naam];
      
    		%%%% lees data in:
    		[exist,A]=FN_indatb5(infile,nread,Inparm);
            
            if exist==1
                % kies samples:
                % minder parameters; start->err1
                Fileinfo.nhead  = 0;
                Fileinfo.samp1  = 1;
                Fileinfo.samp2  = -1;
                Fileinfo.step   = 1;
                show=1;
                [Scanparm,Ts,A1,err1] = FN_selectnw2(A,Fileinfo,Inparm,show);

               %%%% plot kanalen:
               FN_plotb2(Ts,A1,Inparm,in_naam);  
      
      	       %%%% zet resultaat in uitvoerbestand:
                out_num = 1;               
                Outparm.dummy = 1;
%                FN_outdata2(out_num,in_naam,Inparm,Scanparm,Outparm,Ts,A1);
      	       % FN_outdata2(outnum,in_naam,Ts,A1);


            else
                msgbox('Input file not found');
            end    
            
            % fclose(FID1);
        end     % err1==0, invoerparameters  
   
    end		% start==1, invoerbestand   
end     % length(In_naam>0)

% EINDE Bekijkb

