function [in_name,pathname] = FN_chsf4(filt,filetext)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_chsf4
%   Opens a file containing the last file path and asks
%   for a new file to be opened. The new path will be stored.
%   usage: [filename,pathname] = FN_chsf4(filt,boxheader)
%
%   Version 4, filter added
%   10-Sep-03, changed: 26-Nov-03
%
%               H.Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Version 4, filter added
%   Version 3, check path in file .\Tmp\path.txt added
%   Version 2, check .\Tmp added;
% input:
%   filt:       filter to be used in searching (e.g. '*.asc')
%   filetext:   text to be printed in the header of the open-file window
% output:
%	in_name:	name of the file to be opened
%	Pathname:	name of the file path
%					H. Klaasman

% vraag invoerbestand:
oldpath     = pwd;

%% Lees actuele parameterwaarden:
if exist('.\Tmp')==0
	mkdir('.\Tmp');
end

pathfile    = '.\Tmp\path.txt';
FID = fopen(pathfile,'r');
if FID>0
    path1 = fgetl(FID);
    fclose(FID);
    if exist(path1)~=0
        eval(['cd ''' path1 '''']);
    end    
end    
  
[in_name, pathname] = uigetfile(filt,filetext);
eval(['cd ''' oldpath '''']);
            
%%%% sla nieuwe pad op:
if pathname~=0
    FID = fopen(pathfile,'w');
    fprintf(FID,'%s\r\n',pathname);
    fclose(FID);
end

% end of FN_chsfile