function [out_name,pathname] = FN_chsoutf(filetext)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_chsoutf
%   Opens a file containing the last file path and asks
%   for a new output file to be opened. The new path will be stored.
%   usage: [filename,pathname] = FN_choutf(boxheader)
%
%   Version 3, check path in file .\Tmp\path.txt added
%       Function not renamed because of many calls.
%   23-Jun-03, changed: 26-Nov-03
%               H.Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Version 3, check path in file .\Tmp\path.txt added
%   Version 2, check .\Tmp added;
%
% input:
%   filetext:   text to be printed in the header of the open-file window
% output:
%	out_name:	name of the file to be opened
%	Pathname:	name of the file path
%					H. Klaasman

% vraag uitvoerbestand:
oldpath     = pwd;

%% Lees actuele parameterwaarden:
if exist('.\Tmp')==0
	mkdir('.\Tmp');
end

pathfile    = '.\Tmp\opath.txt';
FID = fopen(pathfile,'r');
if FID>0
    path1 = fgetl(FID);
    fclose(FID);
    if exist(path1)~=0
        eval(['cd ''' path1 '''']);
    end    
end    
  
[out_name, pathname] = uiputfile('*.*',filetext);
eval(['cd ''' oldpath '''']);
            
%%%% sla nieuwe pad op:
if pathname~=0
    FID = fopen(pathfile,'w');
    fprintf(FID,'%s\r\n',pathname);
    fclose(FID);
end

% end of FN_chsoutf