function [Fileinfo,start] = FN_fileinfo7
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_fileinfo7
%   reads initial data needed to read an ASCII file
%   Version 7, specify stepsize, English text
%   16-May-02, changed, 28-Feb-05
%
%
%
%
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Versie 5 met opgaaf stapgrootte
% Versie 4 parameter dlab vervallen.
% Versie 3 met test op aanklikken 'cancel'.
% Deze versie gebruikt specifieke Windows-toepassingen
% en is buiten Windows nog niet getest.
% zie ook:FN_fileinfo
% hulpbestand:
% 	fileinfo5.txt
% uitvoer:
%	Fileinfo:	structure met invoergegevens
%	nhead:	voor niet dasylabbestanden: aantal headerregels
%			wordt bij dasylabbestanden genegeerd.
%	nsamp1:	eerste in te lezen punt
%	nsamp2:	laatste in te lezen punt, -1 tot einde file
%	step:	stapgrootte
%  start:  1 doorgaan, 0 stoppen
%					H. Klaasman

%% Geef parameters een beginwaarde:
%dlab  =    1;
Fileinfo.nhead 	= 0;
Fileinfo.samp1 	= 1;
Fileinfo.samp2 	=-1;
Fileinfo.step	= 1;
Def             = {'0','1','-1','1'};
start =    0;

% te gebuiken instellingen voor dialoogschermen;
V = version;
v1=str2num(V(1:1));
if v1<6.9
% versie 6.5 (evt. 6?):
    Options = 'on'; % alternatief, werkt goed in Matlab 6.5 (Rel.13)
else    
% versie 7: WindowStyle op normal om dialoogscherm klein te kunnen
%           maken en Help te vragen
    Options.WindowStyle='normal';  
    Options.Resizable='on';
end    


%% Lees actuele parameterwaarden:
if exist('.\Tmp')==0
	mkdir('.\Tmp');
end

%% Lees actuele parameterwaarden:
FID=fopen('.\Tmp\fileinfo7.txt','r');
if FID>=0
   i=1;
   while feof(FID)==0
      lijn   = fgetl(FID);
      Def{i} = char(lijn);
      i = i+1;
   end   
      
  fclose(FID);
end

keuze = questdlg('read all samples?', ...
	'FN_fileinfo7','yes','no','yes');

switch(keuze)

    % niet alle punten lezen:
	case 'no'

    	%% Vraag nieuwe waarden aan gebruiker:
Prompt = {'number of headerlines (0 for all Dasylab files)',...
    	    'number of first sample to be read', ...     		
	        'number of last sample to be read (-1 to end of file)', ...
	        'step size'};
	    Title   = 'File parameters';
    	f_info1 = inputdlg(Prompt,Title,1,Def,Options);

        if length(f_info1)>0
    		start=1;
    		% bepaal nieuwe waarden:
      		Fileinfo.nhead 	= str2num(f_info1{1});
	      	Fileinfo.samp1 	= str2num(f_info1{2});
      		Fileinfo.samp2 	= str2num(f_info1{3});
	      	Fileinfo.step   = str2num(f_info1{4});
		    Fileinfo.samp1	= max(Fileinfo.samp1,1);
		    Fileinfo.step	= max(Fileinfo.step,1);
    	% length(f_info1)==0, gebruiker heeft op 'cancel' gedrukt
    	else
		    start=0;
	    end

    % alle punten lezen:
    case 'yes'
    	Def1{1}   = Def{1};
    	%% Vraag nieuwe waarden aan gebruiker:
        Prompt = {'number of headerlines (0 for all Dasylab files)'};
 	    Title   = 'File parameters';
        % 'on' -> Options, Hkl, 31-1-05 
    	f_info1 = inputdlg(Prompt,Title,1,Def1,Options);
    	if length(f_info1)>0
    		start=1;
        	Fileinfo.nhead = str2num(f_info1{1});
    	else
    		start=0;
    	end
end

%schrijf gegevens naar uitvoerbestand:
if start==1    
	FID=fopen('.\Tmp\fileinfo7.txt','w');
	fprintf(FID,'%d\r\n',Fileinfo.nhead);
	fprintf(FID,'%d\r\n',Fileinfo.samp1);
	fprintf(FID,'%d\r\n',Fileinfo.samp2);
	fprintf(FID,'%d\r\n',Fileinfo.step);
	fclose(FID);
end

% Einde FN_fileinfo7