function At = FN_transf(Inparm);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_transf
%   Berekent transformatiematrix uit gegeven posities
%   in pixels naar een op te geven coordinatenstelsel
%   versie 1
%   9-5-05
%
%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% invoer:
% Inparm: structure met invoerparameters:
%   dt:     tijdstap
%   pos0:   positie (nieuwe) oorsprong in pixels
%   pos1:   positie eindpunt rechtsonder in pixels
%   pos2:   positie eindpunt linksboven in pixels
%   new1:   positie eindpunt rechtsonder in m t.o.v. oorsprong
%   new2:   positie eindpunt linksboven in m t.o.v. oorsprong
%
% uitvoer:
%   At: transformatiematrix pixels naam meters t.o.v. gegeven oorsprong
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% bepaal transformatiematrix:
%[Inparm.new1' Inparm.new2'] = ...
 %At*[(Inparm.pos1-Inparm.pos0)' (Inparm.pos2-Inparm.pos0)']
At = ...
[Inparm.new1' Inparm.new2']/[(Inparm.pos1-Inparm.pos0)' (Inparm.pos2-Inparm.pos0)'];

% test transformatie:
%FID7=fopen('test.txt','w');
%fprintf(FID7,'Vels version 7, test transformation pixels to meter\r\n\r\n');
%d1 = datestr(now);
%fprintf(FID7,'%s\r\n\r\n',d1);
%x1  = Inparm.pos1(1)-Inparm.pos0(1);
%y1  = Inparm.pos1(2)-Inparm.pos0(2);
%new1= At*[x1 y1]';
%x2  = Inparm.pos2(1)-Inparm.pos0(1);
%y2  = Inparm.pos2(2)-Inparm.pos0(2);
%new2= At*[x2 y2]';
%fprintf(FID7,'  x    y    x0   y0    x''    y''\r\n');
%fprintf(FID7,'%4d %4d %4d %4d  %5.3f %5.3f\r\n',Inparm.pos1,Inparm.pos0,new1);
%fprintf(FID7,'%4d %4d %4d %4d  %5.3f %5.3f\r\n',Inparm.pos2,Inparm.pos0,new2);
%fclose(FID7);


%new = At*[(Inparm.pos1-Inparm.pos0)' (Inparm.pos2-Inparm.pos0)']

 % y omkeren:
% x0 = [Inparm.pos0(1)  600-Inparm.pos0(2)];
% x1 = [Inparm.pos1(1)  600-Inparm.pos1(2)];
% x2 = [Inparm.pos2(1)  600-Inparm.pos2(2)];
% At = [Inparm.new1' Inparm.new2']/[(x1-x0)' (x2-x0)'];


% einde FN_transf