function FN_uit7(uitfile,in_name,nf,nf1,t,x,y,ux,uy,ucL,ucn,ta,xa,ya,ax,ay,acL,acn)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_uit7
%   Zet resulaat van prog. Vels6 in uitvoerbestand
%   versie 7: 2e uitvoerbestand v.6 t/m 8
%   7-6-05, aanpassing 20-7-05
%
%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   uitfile: naam uitvoerbestand FN_uit4 (met pad), hieruit wordt de naam
%               van het resultatenbestand afgeleid
%   in_name:    naam invoerbestand (zonder pad)
%   nf:     aantal punten waarover de snelheden zijn gemiddeld
%   nf1:    aantal punten waarover de versnellingen zijn gemiddeld
%   t:      tijdvector bij snelheden
%   x:      vector met x-coordinaten bij snelheden
%   y:      vector met y-coordinaten bij snelheden
%   ux:     vector met x-component snelheden
%   uy:     vector met y-component snelheden
%   ucL:    snelheidscomponent in de richting van de constructie
%   ucn:    snelheidscomponent loodrecht op de constructie
%   ta:     tijdvector bij snelheden
%   xa:     vector met x-coordinaten bij versnellingen
%   ya:     vector met y-coordinaten bij versnellingen
%   ax:     vector met x-component versnellingen
%   ay:     vector met y-component versnellingen
%   acL:    versnellingscomponent in de richting van de constructie
%   acn:    versnellingscomponent loodrecht op de constructie
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% uitvoerbestand:
len     = length(uitfile);
uitf2   = [uitfile(1:len-3) 'asc'];
FID7    = fopen(uitf2,'w');
fprintf(FID7,'Vels version 7\r\n\r\n');
fprintf(FID7,'Input file: %s\r\n', in_name);
d1 = datestr(now);
fprintf(FID7,'%s\r\n\r\n',d1);
    
% bereken snelheden:
u1      = ux.^2 + uy.^2;
u_rms   = sqrt(mean(u1));
%u       = sqrt(u1);
u       = sign(ucL).*sqrt(u1);
fprintf(FID7,...
    '\r\n\r\nroot mean square of velocities: u_rms = %10.4f m/s', u_rms);
        
fprintf(FID7,...
    '\r\n\r\nCalculated velocities from averaged positions over %d points\r\n\r\n',nf);
fprintf(FID7,'\r\n time av.position            ------------------velocities');
fprintf(FID7,'------------------\r\n');
fprintf(FID7,'                             total      rel. to axes       '); 
fprintf(FID7,'  rel. to construction\r\n'); 
fprintf(FID7,'   t        x        y     sign(ucL)*u   ux         uy');
fprintf(FID7,'         ucL        ucn\r\n');
fprintf(FID7,'  [s]      [m]      [m]       [m/s]     [m/s]      [m/s]');
fprintf(FID7,'      [m/s]      [m/s]\r\n');
nsamp = length(t);
for i=1:nsamp
    fprintf(FID7,'%6.3f %8.3f %8.3f %10.4f %10.4f %10.4f %10.4f %10.4f\r\n',...
        t(i),x(i),y(i),u(i),ux(i),uy(i),ucL(i),ucn(i));
end 

% bereken versnellingen:
a1  = ax.^2 + ay.^2;
a   = sign(acL).*sqrt(a1);
        
fprintf(FID7,...
    '\r\n\r\nCalculated accelerations from averaged velocities over %d points\r\n\r\n',nf1);
fprintf(FID7,'\r\n time av.position            ------------------accelerations');
fprintf(FID7,'------------------\r\n');
fprintf(FID7,'                             total      rel. to axes       '); 
fprintf(FID7,'  rel. to construction\r\n'); 
fprintf(FID7,'   t        x        y     sign(acL)*a   ax         ay');
fprintf(FID7,'         acL        acn\r\n');
fprintf(FID7,'  [s]      [m]      [m]      [m/s^2]   [m/s^2]    [m/s^2]');
fprintf(FID7,'    [m/s^2]    [m/s^2]\r\n');
nsamp1 = length(ta);
for i=1:nsamp1
    fprintf(FID7,'%6.3f %8.3f %8.3f %10.4f %10.4f %10.4f %10.4f %10.4f\r\n',...
        ta(i),xa(i),ya(i),a(i),ax(i),ay(i),acL(i),acn(i));
end 

fclose(FID7);    
    

% einde FN_uit5