function FN_vplot4(titel,Inparm,At,x,y,ux,uy)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_vplot4 maakt een vectorplot van snelheden
% versie 4, cd constructie in m t.o.v. oorsprong
% 7-6-05
%
%
%
%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% invoer:	
%
%   titel:  titel (tekst)
%   Inparm: structure met invoerparameters:
%       dt:     tijdstap
%       pos0:   positie x=0, y=0 in pixels, vervalt
%       pos1:   positie eindpunt rechtsonder in pixels
%       pos2:   positie eindpunt linksboven in pixels
%       new1:   positie eindpunt rechtsonder in m t.o.v. oorsprong
%       new2:   positie eindpunt linksboven in m t.o.v. oorsprong
%       x1:     positie eindpunt constructie rechtsonder in m t.o.v. oorspr
%       x2:     positie eindpunt constructie linksboven in m t.o.v. oorspr.
%   At:     transformatiematrix van pixels naar coordinaten in m 
%           t.o.v. gegeven oorsprong
%   x:      vector met x-coordimaten
%	y:      vector met y-coordinaten
%	ux:     vector met x-component snelheden
%	uy:     vector met y-component snelheden
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% positie constructie in m:
%x1 = [Inparm.x1(1) 600-Inparm.x1(2)];
%x2 = [Inparm.x1(1) 600-Inparm.x2(2)];

pos_teen = Inparm.x1';
pos_top  = Inparm.x2';

% bepaal aslengtes:
xmin = min(x');
ymin = min(y');
xmax = max(x');
ymax = max(y');
xmin = min(xmin,pos_top(1));
ymin = min(ymin,pos_teen(2));
xmax = max(xmax,pos_teen(1));
xmax = 1.1*xmax;    % ruimte voor lengte vector
ymax = max(ymax,pos_top(2));


% plot helling
xh = [pos_top(1)  pos_teen(1)];
yh = [pos_top(2)  pos_teen(2)];
%axis([xmin xmax ymin ymax]);
hold on;
h=plot(xh,yh,'Linewidth',1.5);
set(gca,'Xlim',[xmin xmax],'Ylim',[ymin ymax]);
%tekst1 = 'positions: ';
%tekst2 = sprintf('[%3.0f, %3.0f] ', Inparm.pos1, Inparm.pos2);
%tekst  = [tekst1 tekst2];
title(titel);

% vectorplot
scale = 1;
quiver(x,y,ux,uy,scale);

% einde FN_vplot4

