%function Vels5a
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Vels5a
%   Calculate velocities
%   usage: Vels5a
%	version 5a, moving average velocities and accelerations 
%	14-Jun-05
%
%
%
%					H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all;

% add functionns to path:
%addpath('E:\Hetty\Matlab\Lab_process\Functions');
addpath('.\Functions');
err1 = 0;

% read Ascii-file:
% FN_infile7 met toevoeging padnaam
[in_name, path_name, Fileinfo, A, type, err1] = FN_infile8;

if err1==0 & in_name~=0 & type==1
    
    % read parameters:
    [Inparm,err1] = FN_inparmv3;

    if err1==0
        % calculate transformation matrix (offset point allready in inparm):
        At = FN_transf(Inparm);
    
        % calculate time, positions, and velocities:
        % [ind,t,x,y,ux,uy] = FN_vels4(A,Inparm,At);
        % nf = 1;
        nf = 3;     % length of moving average
        [ind,t,x,y,ux,uy] = FN_vels5(A,Inparm,At,nf);
        %[ind,t,x,y,ux,uy] = FN_vels6(A,Inparm,At,nf);
       
        % calculate (new) time, (new) positions, and accelerations:
    %    [ta,xa,ya,ax,ay] = FN_accel(Inparm,t,x,y,ux,uy);
    %    nf1 = 1;
        nf1 = 3;
        [ta,xa,ya,ax,ay] = FN_accel2(Inparm,t,x,y,ux,uy,nf1);
    %    [ta,xa,ya,ax,ay] = FN_accel3(Inparm,t,x,y,ux,uy,nf1);
    
        % velocities and accelerations with respect to construction:
        [At1,ucL,ucn,acL,acn] = FN_trans4(Inparm,At,ux,uy,ax,ay);
        
        % make vectorplot of positions and accelerations: 
        % titel = 'velocities';
        titel = ...
        sprintf('File: %s, velocities, averaged over %d points',...
            in_name,nf);
        figure(1);
        FN_vplot4(titel,Inparm,At,x,y,ux,uy);
    
        % titel = 'accelerations';
        titel = ... 
        sprintf('File: %s, accelerations, averaged over %d points',...
        in_name,nf1);
        figure(2);
        FN_vplot4(titel,Inparm,At,xa,ya,ax,ay);

        % write to output file:
        uitfile = FN_uit8a(in_name,Inparm,A,ind,At,At1,nf,nf1);
        if length(uitfile)>0
            FN_uit5(uitfile,in_name,nf,nf1,t,x,y,ux,uy,ucL,ucn,...
                ta,xa,ya,ax,ay,acL,acn);    
        end    
    end    % parameters OK
end     % FN_infile8 OK    

% foutafhandeling
FN_error(err1);

% end of Vels7