function [A1] = FN_red(A,Samps,Cols);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_red 
%   reduces rows and columns of a matrix to specified rows and
%   columns.
%   16-May-02
%
%
%
%
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% invoer:
% 	A:	invoerarray
%	Samps:	array met eerste en laatste rij die moeten blijven en 
%           de stapgrootte
%	Cols:	array met de kolomnummers die moeten blijven
%
% uitvoer:
%	A1:		array met de in Samps en Cols gespecificeerde rijen
%			en kolommen
%

dim2 = length(Cols);
[nsamp,nchan] = size(A);
if Samps(2)==-1
   samp2 = nsamp;
else
   samp2 = min(nsamp,Samps(2));
end
dim1 = ceil((samp2 - Samps(1) + 1)/Samps(3));
A1   = zeros(dim1,dim2);

% voor de matrixreductie is een lus gebruikt, omdat voor de combinatie van
% behoud van de oorspronkelijke matrix en willekeurige kolommen nog geen
% goed werkende matrixvorm is gevonden
%iof = Samps(1)-1;
k = 1;
for i=Samps(1):Samps(3):Samps(2)
   for j=1:dim2
      A1(k,j) = A(i,Cols(j));
   end
      k = k+1;
end   
% einde FN_red