%function Mov_av
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Mov_av
%   Calculate moving average of a time signal
%   usage: Mov_av
%   Parameters are asked from screen
%
%	version 1
%	5-Apr-05
%					H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% add functionns to path:
addpath('.\Functions');
err1 = 0;

% read Ascii-file:
% FN_infile7 met toevoeging padnaam
[in_name, path_name, Fileinfo, A, type, err1] = FN_infile8;

if err1==0 & in_name~=0 & type==1
    
    % read parameters:
    % alle FN_inparm samenvoegen; start->err1
    scr_num = 1;
    [nsamp,nchan] = size(A);
    [Inparm,err1] = FN_inparm2(scr_num,nchan);
    
    if err1==0

        % select samples:
        % minder parameters; start->err1
%        [Scin,Scannums,Ts,A1,err1] = FN_selectnw(A,Fileinfo,Inparm);
        show = 1;
        [Scanparm,Ts,A1,err1] = FN_selectnw2(A,Fileinfo,Inparm,show);

        % testuitvoer
%        if err1==0
%           FN_outtest1(Fileinfo,Inparm,Scanparm,A,Ts,A1);
%           err1 = 101;
%        end
        clear A;
        
        if err1==0

            % schaal naar m en bepaal periode eerste harmonische:
            Inparm.nharm = 1;
            [A2,Fan,fn,nanal,error] = ...
                FN_harmo_av(in_name,A1,Inparm,Scanparm);
            clear A1;
            
            % bepaal het glijdend gemiddelde:
            %T   = input('wave perriod (s) ');
            T       = 1/fn(1);
            n       = round(T/Scanparm.dt);
            A3      = FN_filt(A2,n);
            [nsamp,nchan] = size(A3);
            %nstaart = round(n/2);
            nstaart = n;
            Ts1 = Ts(nstaart:nsamp-nstaart);
            A4  = A3(nstaart:nsamp-nstaart,:);
            clear A3;
            
            % plot origineel en glijdend gemiddelde:
            nfig    = 1;
            tekst   = ', original';
            titel   = [in_name tekst];
            FN_plot25(Ts,A2,Inparm,titel,nfig);
            nfig    = ceil(nchan/3) + 1;
            tekst   = sprintf(', moving average over period %4.2f s',T);
            titel   = [in_name tekst];
            FN_plot27(Ts1,A4,Inparm,titel,nfig);        
        end     % FN_selectnw1 OK
    end     % FN_inparmall OK
end     % FN_infile8 OK    

% foutafhandeling
FN_error(err1);

% end of Mov_av