function [nsamp,nchan] = FN_bin5(A,dosname)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_bin5
%   writes matrix to binary file with DOS name
%   version 5: matrix A selected from input data by FN_selectnw,
%           no Inparm needed
%   23-Nov-04
%
%
%
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   versie 5: matrix A bevat alleen nog de in FN_selectnw
%           opgegeven sampels, Inparm niet meer nodig
%   versie 4: aantal invoerparameters verkleind
%   versie 3: nsamp en nchan als uitvoerparm om het .SEQ-bestand
%       goed te krijgen.
%   versie 2: DOS-naam toegevoegd omdat het binaire bestand
%	    voor het DOS-pakket Auke/pc is bedoeld
% invoer:
%	A:	matrix met weg te schrijven meetgegevena
%   dosname:    character string met DOS-naam .seq-bestand;
%          uitvoerbestand krijgt zelfde naam met extensie .dat
%
% De naam van het uitvoerbestand wordt de DOS-naam van
% het invoerbestand met achtervoegsel '.dat'
%					H. Klaasman

i = findstr(dosname,'.');
outfile	= [dosname(1:i) 'dat'];
FID = fopen(outfile,'w');

[nsamp, nchan] = size(A);
fwrite(FID,A','real*4');
fclose(FID);

% einde FN_bin5