function [out_name,pathname] = FN_chsoutf4(filt,filetext)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_chsoutf4
%   Opens a file containing the last file path and asks
%   for a new output file to be opened. The new path will be stored.
%   usage: [filename,pathname] = FN_chsoutf4(filt,boxheader)
%
%   Version 4, filter to choose a part of the output folder
%       (e.g. an extension).
%   23-Jun-03, changed: 26-Nov-04
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Version 4, filt to choose a part of the output folder
%   Version 3, check path in file .\Tmp\path.txt added
%   Version 2, check .\Tmp added;
%
% input:
%   filt:       string containing a filter to choose a part of the folder to be shown, 
%               e.g. '*.txt'. 
%   filetext:   string of text to be printed in the header of the open-file window
% output:
%	out_name:	name of the file to be opened
%	Pathname:	name of the file path
%					H. Klaasman

% vraag uitvoerbestand:
oldpath     = pwd;

%% Lees actuele parameterwaarden:
if exist('.\Tmp')==0
	mkdir('.\Tmp');
end

pathfile    = '.\Tmp\opath.txt';
FID = fopen(pathfile,'r');
if FID>0
    path1 = fgetl(FID);
    fclose(FID);
    if exist(path1)~=0
        eval(['cd ''' path1 ''''])
    end    
end    
  
[out_name, pathname] = uiputfile(filt,filetext);
eval(['cd ''' oldpath '''']);
            
%%%% sla nieuwe pad op:
if pathname~=0
    FID = fopen(pathfile,'w');
    fprintf(FID,'%s\r\n',pathname);
    fclose(FID);
end

% end of FN_chsoutf