function [outs,start] = FN_chsoutp
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_chsoutp
%   asks which plots and files are desired as output of
%   Decomp
%   version 1
%   28-Apr-04, changed: 1-Mar-05
%
%
% storage file:
% 	inparmD.txt
% output:
%	outs:   vector containing zeros (not desired) and ones
%           (desired):  
%   list of indices:
%   1:  plot of raw var. spectrum of original time signal
%   2:  plot of averaged var. spectrum of original time signal
%   3:  plot of averaged var. spectrum of incident and reflected wave
%   4:  plot of reflection factor
%	5:  file of statistical results (spectral moments, refl. coeff)
%   6:  file of variance spectra of inc. and refl. waves
%   7:  file of time signal of inc. and refl. wave
%	start:	1: continue, 0: stop
%				H. Klaasman

%% Initialisation:
start       = 0;
outs(1:7)   = 1;

Def   = {'1','1','1','1','1','1','1'};

%% Lees actuele parameterwaarden:
if exist('.\Tmp')==0
	mkdir('.\Tmp');
end

FID=fopen('.\Tmp\inparmD.txt','r');
if FID>=0
	i=1;
	while feof(FID)==0
      lijn=fgetl(FID);
      Def{i}=char(lijn);
	  i = i+1;
	end
	fclose(FID);
end   

% te gebuiken instellingen voor dialoogschermen;
V = version;
v1=str2num(V(1:1));
if v1<6.9
% versie 6.5 (evt. 6?):
    Options = 'on'; % alternatief, werkt goed in Matlab 6.5 (Rel.13)
else    
% versie 7: WindowStyle op normal om dialoogscherm klein te kunnen
%           maken en Help te vragen
    Options.WindowStyle='normal';  
    Options.Resizable='on';
end    

Prompt = {'plot raw spect of measured signal', ...
    'plot averaged spect of measured signal', ... 
    'plot averaged spect of inc. and refl. wave', ... 
    'plot coeff. of refl.', ... 
    'file of stat. parameters (spectral moments, refl. coeff.)',...
    'file of spectra of inc. and refl. wave', ...
    'file of time signal of inc. and refl. wave'};

Title = 'Desired output';
% last parameter changed to 'on' to be used in comb. with Help
% reset to 'off' to discard the sreen after choise, hkl, 26-1-05
% not working
Inparm1 = inputdlg(Prompt,Title,1,Def,Options);
if length(Inparm1)>0
		start=1;
	       
		for i=1:length(outs)
            outs(i) = str2num(Inparm1{i});
        end    

        %% save input values: 
		FID=fopen('.\Tmp\inparmD.txt','w');
        for i=1:7
    		fprintf(FID,'%d\r\n',outs(i));
        end    
        fclose(FID);
else
    start=0;    % Inparm leeg, 'cancel'
end    

% Einde FN_chsoutp