function [dosname, uitpad, start2] = FN_dosname3(infile);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_dosname3
%   generates a DOS name for a file with specified file 
%   name
%   version 3: output file to be chosen, DOS name will
%           be generated
%   21-Aug-03
%
%   versie 2: controle of .seq-bestand bestaat
%   versie 1
%   5-3-02
%
%				H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% invoer:
% 	infile:	bestandnaam met pad
% uitvoer:
% 	dosname:DOS-naam incl. pad
%   uitpad: naam van het uitvoerpad (nodig voor FN_waves)
%   start2: 1: doorgaan, 0: stoppen
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

start2=1;

% DOS-naam:
i = findstr(infile,'\');
j = findstr(infile,'.');
le= length(i);
if le>0
	i1 = i(le);
else
	i1 = 0;
end
naamlen = j-i1-1;
naamlen = min(naamlen,8);
endnaam = i1+naamlen;
dosname = [infile(i(le):endnaam) '.seq'];

% vraag uitvoerbestand:
filetext = 'output file (max. 8 characters)';
[uitnaam,uitpad] = FN_chsoutf4(dosname,filetext);

% complete DOS-naam:
if uitnaam~=0
    outfile = [uitpad uitnaam];
    i = findstr(outfile,'\');
    j = findstr(outfile,'.');
    l = length(i);
    if l>0
    	i1 = i(l);
    else
    	i1 = 0;
    end
    naamlen = j-i1-1;
    naamlen = min(naamlen,8);
    endnaam = i1+naamlen;
    dosname = [outfile(1:endnaam) '.seq'];
else
    start2=0;
end    

% einde FN_dosname