function [nread, start] = FN_fileinfb
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_fileinfb 
%   reads data from binary input file of Int16 numbers
%   version 2, Options in inputdlg
%   31-Jan-05, adapted to Matlab 6.5, 28-Feb-05
%
%
%
%
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Deze versie gebruikt specifieke Windows-toepassingen
% en is buiten Windows nog niet getest.
% zie ook:FN_fileinfo
% hulpbestand:
% 	.\Tmp\fileinfb.txt
% uitvoer:
%	nread:	bovengrens aantal in te lezen samples,
%				  -1 tot einde file 
%  start:  1 doorgaan, 0 stoppen
%				H. Klaasman, 26 apr 02

%% Geef parameters een beginwaarde:
nread =   -1;
Def   = {'-1'};
start =    0;

%% Lees actuele parameterwaarden:
if exist('.\Tmp')==0
	mkdir('.\Tmp');
end

FID=fopen('.\Tmp\fileinfb.txt','r');
if FID>=0
   i=1;
   while feof(FID)==0
      lijn   = fgetl(FID);
      Def{i} = char(lijn);
      i = i+1;
   end   
      
  fclose(FID);
end

%% Vraag nieuwe waarden aan gebruiker:
Prompt = {'maximum number of samples (-1 to end of file)'};
Title   = 'File specifications';

% te gebuiken instellingen voor dialoogschermen;
V = version;
v1=str2num(V(1:1));
if v1<6.9
% versie 6.5 (evt. 6?):
    Options = 'on'; % alternatief, werkt goed in Matlab 6.5 (Rel.13)
else    
% versie 7: WindowStyle op normal om dialoogscherm klein te kunnen
%           maken en Help te vragen
    Options.WindowStyle='normal';  
    Options.Resizable='on';
end    

f_info1 = inputdlg(Prompt,Title,1,Def,Options);


if length(f_info1) > 0
	start=1;
% schrijf nieuwe waarden in hulpbestand: 
   	f_info(1)= str2num(f_info1{1});
    nread=f_info(1);
	FID=fopen('.\Tmp\fileinfb.txt','w');
	fprintf(FID,'%d\n',f_info);
	fclose(FID);
else
	   start=0;
end   

% Einde FN_fileinfob