function [x,h,error] = FN_get_x_h2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_get_x_h2
%   reads positions and waterdepths of still water from a chosen 
%   inputfile
%   version 2: correction blank lines and end of file without carriage
%             return 
%   June 14, 2004
%
%
%												H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% input file: first line is text:
%	position (m)  depth (m)
%	and next lines must contain the parameters mentioned, separated by 
%   commas,	tabs of spaces (position range must extend range of wave
%   gauges)
% output parameters:
%   x:      row vector containing positions in the tank
%   h:      row vector containing waterheights in m of still water at 
%           the given positions
%   error:  error indication: 0: no errors, 101: user pressed 
%           Cancel, 301: error in input file,
%           302: not enaugh positions with waterdepths
%

%% Geef parameters een beginwaarde:
error   = 0;
x       = [0 1];
h       = [0.5 0.5];

%% open invoerbestand:
filetext = 'file containing profile of depths';
[filenaam, padnaam] = FN_chsfile(filetext);

% gebruiker wil doorgaan:
if filenaam~=0
    infile = [padnaam filenaam];

    % inlezen met importdata: werkt niet op deze manier, nakijken
    % D: structure met vorm invoerbestand
    % D.tekst = 'regel 1';
    % D.x     = x;
    % D.h     = h
    % D       = importdata(infile, ' ')
    % error=1;

    FID = fopen(infile,'r');

    %% lees eerste regel:
    lijn = fgets(FID);

    %%%%lees parameters:
    if feof(FID)==0
        % tijdelijk bestand om te kunnen inlezen met load:
        FID1 = fopen('temp','w');
        lijn1 = fgets(FID);
        cont_rd = 1; % variable to enable stop of reading loop            
        while length(lijn1)>2 && cont_rd==1
            fprintf(FID1,'%s',lijn1);
            if feof(FID)==0
   	                lijn1	        = fgets(FID);
            else
                    lijn1 = '';
            end;    
        end
        fclose(FID1);
        AA = load('temp');
        [nsamp,nchan] = size(AA);
        if nsamp<3
            error = 302;
            h1    = msgbox('Use at least 3 points in the height profile','Decomp');
            uiwait(h1);
        else    
            x = AA(:,1);
            h = AA(:,2);
        end    
        delete('temp');
     
    else
        error=301;
        h2 = msgbox('Error in file containing height profile','Decomp');
        uiwait(h2);
    end    
    fclose(FID);
% gebruiker heeft op Concel gedrukt
else
    error = 101;
end    

% Einde FN_inparm10