function [in_naam, padnaam, Fileinfo, A, type, error] = FN_infile8
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_infile8
%   Ask and open input file, and read data from ASCII file,
%   or open .fig-file to be viewed.
%   Function asked from GUI.
%   version 8: path as output parameter
%   16-Nov-04
%
%
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% versie 8: pad als uitvoerparameter
% versie 7: pad onthouden
% versie 6: bij niet-dasylabbestand wordt header getoond
% versie 3: met mogelijkheid openen .fig-bestand
% versie 2: wordt aangeroepen vanuit een GUI;
% aan het einde van de functie komt de gebruiker terug in het hoofd-
% menu, waar verder kan worden gekozen. Dit maakt de uitvoerparameter
% verder1 van versie 1 overbodig.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% uitvoer:
%   in_naam:    naam invoerbestand zonder pad
%   padnaam:    pad invoerbestand 
%   Fileinfo:   structure met bestandsgegevens
%	    nhead:	voor niet dasylabbestanden: aantal headerregels
%   			wordt bij dasylabbestanden genegeerd.
%	    nsamp1:	eerste in te lezen punt
%	    nsamp2:	laatste in te lezen punt, -1 tot einde file
%	    step:	stapgrootte
%   A:          matrix met ingelezen waarden, 
%       A(i,j) = sample i van kanaal j
%   type:       filetype, 0 fig (.fig), 1 anders (wordt ingelezen
%               als .asc)
%   error:      0: geen fouten, 101: gebruiker heeft op cancel gedrukt,
%               301: verkeerd aantal headerregels
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% beginwaarden:
Fileinfo.nhead  = 0;
Fileinfo.nsamp1 = 1;
Fileinfo.nsamp2 = 1;
Fileinfo.step   = 1;
A = [];
verder  =1;
type    = 1;
error   =0;

% vraag invoerbestand:
filetext = 'Input file';  
[in_naam, padnaam] = FN_chsfile(filetext);
            
%%%% Controleer of de gebruiker wil doorgaan:
if in_naam~=0

    %%%% naam invoerbestand:      
    infile=[padnaam in_naam];

    % bepaal soort bestand:
    j = findstr(in_naam,'.');
    l = length(in_naam);
    ext = [in_naam(j+1:l)];
	type=1;

    % figuur:
    if length(ext)>0
        if ext=='fig'
            open(infile);
            type=0;
        end    
    end
    
    % databestand:
    if type==1
        %%%% Vraag gegevens aan de gebruiker op:
        % versie met edit voor opgaaf headerregels
        % kan als edit wordt vervangen door listing als hieronder,
        % maar oplossing met lus tot goede aantal headerregels
        % lijkt handiger, omdat listing alleen wordt gemaakt
        % als het aantal headerregels fout is.
        % Zodra dit is verbeterd is listing niet meer nodig!
%        [Fileinfo,start] = FN_fileinfo8(infile);

        % lus tot goede aantal headerregels:
        verder=1;
        while verder==1
            % vraag gegevens aan gebruiker:
            [Fileinfo,start] = FN_fileinfo7;

            %%%% Ga door als start=1:
            if start==1
      
                %%%% lees header en data in:
    	        [head,A,fout1,warn]=FN_indata7(infile,Fileinfo);	

                % fout in invoerbestand:
                if fout1>0
%                    error = 301;
                    FID = fopen(infile);
                    i = 1;
                    while i<=20 & feof(FID)==0
                        lijn    = fgets(FID);
                        ln      = length(lijn);
                        n       = min(20,ln);
                        tekst{i}= sprintf(lijn(1:n));
                        i = i+1;
                    end    
                    fclose(FID);
                    h=msgbox(tekst);
                    uiwait(h);
                else
                    verder=0;
                end     % fout1
            else
                error = 101;
                verder=0;
            end % start
        end % while verder==1    
        
    end % databestand
else
    error=101;
end % invoerbestand aangeklikt    

% EINDE FN_infile		

