function FN_outdata(in_naam, Fileinfo, Inparm, A)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_outdata 
%   put input and output of a calculation in an output file.
%	used by: Bekijkb, LvmSP
%   4-Apr-02, changed: 13-Jan-05
%
%
%
%
%					H. Klaasman


% bepaal gebruikte kanalen:
[nsamp,nchan] = size(A);
col = 1:nchan;
if isfield(Inparm,'col')
    nch = length(Inparm.col);
    if nch==nchan
        col = Inparm.col';
    end
end    

% uitvoerbestand:
tekst = 'file to write output data';
[uitnaam, uitpad] = FN_chsoutf4('.asc',tekst);
if uitnaam~=0
    uitfile = [uitpad uitnaam];
    FID6    = fopen(uitfile,'w');

    fprintf(FID6,'Input file: %s\r\n', in_naam);
    d1 = datestr(now);
    fprintf(FID1,'%s\r\n\r\n',d1);
    dt = Fileinfo.step*Inparm.dt;
    fprintf(FID6,'time step used:     %10.4f\r\n',dt);
    
   	%%%% bepaal aantal samples, aantal kanalen en aantal tijdregels
   	[nsamp,nchan]=size(A);
   	fprintf(FID1,'number of columns:     %d\r\n', nchan);
	fprintf(FID1,'number of samples:     %d\r\n\r\n', nsamp);
   
	nsamp = min(nsamp,32768);
   for i=1:nsamp
        fprintf(FID6,'\r\n\r\n ');
        fprintf(FID6,'chan%2d        ',col);
        for i=1:nsamp
            fprintf(FID6,' \r\n');
            fprintf(FID6,'%12.4f  ',A(i,:));
        end    
   end   
   
    fclose(FID6);
end		%uitvoerbestand gevraagd
   
% Einde FN_outdata 