function FN_outspect1(in_naam,Inparm,f,a,b,c)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_outspect1 
%   write amplitude spectrum to output file
%   version 2, spectra of more channels
%   14-Dec-04
%
%
%
%
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% input:
%   in_naam:    name of input file
%   Inparm:     parameters asked by user
%       dt:     time step in measurements s (used before: tijdstap)
%       thresh  threshold: part of spectrum lower than thresh*cmax
%               will not be printed or plotted
%       ncols:  number of chanels to be processed (here:2)
%	    col:	rowvector with column numbers channels
%               (used before: col1 (col one), col2)
%       unit:   vector of char.strings containing units of the mearured value
%       sc:     rowvector with scale factor measurement values to m
%               (used before: sch1, sch2)
%   f:  frequency vector
%   a:  matrix of real components
%   b:  matrix of imaginary components
%   c:  matrix of amplitudes
%
%   The part of the spectrum greater than 0.005 mac(c) will be written
%   to the output file
%				        H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% drempelwaarde voor spectrum:
ampmin  = Inparm.thresh.*max(c);

%%%% open uitvoerbestand:
filetekst   = 'Output file';
ext         = '*.txt';
[uitnaam, uitpad] = FN_chsoutf4(ext,filetekst);
if uitnaam~=0
    [N1,nchan] = size(a);
    T(1)    = inf;
    T(2:N1) = 1./f(2:N1);
    uitfile = [uitpad uitnaam];
    FID1=fopen(uitfile,'w');
    d1 = datestr(now);
    fprintf(FID1,'%s\r\n\r\n',d1);
    fprintf(FID1,'Program Spect version 7\r\n');
    fprintf(FID1,'\r\nInput file: %s\r\n',in_naam);
    for j=1:nchan
        fprintf(FID1, ...
        '\r\nAmplitude spectrum of column %d of input data\r\n',Inparm.col(j));
        fprintf(FID1,'threshold: %10.4f * max(ampl)\r\n');

        fprintf(FID1, ...
            '\r\n  i    f         T          a          b          c\r\n');
        for i=1:N1
            if abs(c(i,j))>ampmin(j)
                fprintf(FID1,'%4d%10.4f %10.4f %10.4f %10.4f %10.4f\r\n',...
            	i,f(i),T(i),a(i,j),b(i,j),c(i,j));
            end
        end   
    end
    fclose(FID1);
end    

% einde FN_Outspect1