function FN_plot26(Ts,A1,Inparm,in_naam,first)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_plot26
%   plot data in 1 figure
%   version 26: Ts in separate vector, tijd selected
%       instead of sample numbers
%   8-Dec-04
%
%
%
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% versie 26: Ts al in aparte vector, tijd geselecteerd
%       i..v. samplenummers
% versie 22: uiwait aan eind uitgeschakeld, lus uit aanroepend
%            prog FN_lvmplot2 verwijderd. 
% Versie 19: fig. 1 eerst sluiten; extra msg bij 1e aanroep
% Versie 15: met plotstap 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Invoer
%   Ts       vector met tijden
%   A1		matrix met te plotten deel van de ingelezen data
%   Inparm:	structure met invoerparameters
%       dt:         tijdstap
%       plotstep:   stapgrootte bij plotten ingelezen punten
%       colt:       kanaal met de tijd (0 voor geen)
%	    col:	    vector met kolomnummers 
%   in_naam:    naam invoerbestand
%%   first:      0 voor eerste aanroep van een plotfunctie,
%               1 na eerste aanroep
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%% bepaal aantal samples en monsternummers/tijden
[nsamp, nchan]=size(A1);
nchan2 = length(Inparm.col);

if nchan~=nchan2
    tekst   = 'No samples selected, channels reset to default';
    h1      = msgbox(tekst);
    uiwait(h1);
    Inparm.col = 1:nchan;
end    

%else

    %%%% maak plot
    close(figure(1));
    h1 = figure(1);	% toegevoegd, 28-5-02, om std-plotmenu te krijgen
    for i=1:nchan
        leg1 = ['ch' num2str(Inparm.col(i))];
        leg{i} = char(leg1);
    end    
    h1 = plot(Ts,A1,'-');    % gewijzigd in h1, 31-7-02
    % h1 = stem(Ts,A1);   % test samples, 1-12-04
    grid on;
    set(gca,'Fontsize',8,'Gridlinestyle',':');
    %set(h1,{'LineStyle'},{'-';'--';'--+';'--o'});
    %set(h1,{'Color'},{'k'});
    title(in_naam,'Fontsize',8);
    legend(h1,leg);

    % eerste aanroep
    if first==0
        tekst1 = sprintf('To change plot parameters:\n');
        tekst2 = sprintf('Close or minimize all figures,\n');
        tekst3 = 'Choose pull down menu Plot, option Samples'; 
        h3 = msgbox([tekst1 tekst2 tekst3]);
        uiwait(h3);
    %   first = 1; % werkt niet ivm uiwait
    end

    %if ishandle(h1)==1
    %    uiwait(h1);
    %end
    %end    
% Einde FN_plot26
			


