function FN_plotD12(nfig,in_naam,ch,f,E,fmaxs,fres,thresh,method);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_plotD12
%   Make graph of variance spectrum of measurements
%   version 12: 1 signal
%   6-Jan-04, changed 6-Oct-04: no averaging
%
%
%
%
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   versie 8: id, log-schaal
%   versie 7: meetsignaal, inv. en teruggekaatste golf en reflectie-
%               factor in 1 fig.
%   versie 6: met opgaaf drempel (thresh) en wel of niet interpoleren
%   versie 5, aanduiding grenzen
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% invoer:
%   nfig:       figuurnummer (nodig bij meer aanroepen van deze functie)
%   in_naam:    string met naam meetbestand
%   ch:         kanaalnummer
%   f:          vector met frequenties van spectra
%   E:          vector met variantiespectrum
%   fmaxs:      bovenfrens voor de te plotten frequenties
%   fres:       frequentieresolutie 
%   thresh:      gebruikte drempel voor het bepalen van fmax_spp:
%               boven fmax_spp is E<thresh*max(E)
%   method:     gebruikte methode: 0 niet gemiddeld
%                                  1 gem. spectrum over freq-bandjes,
%                                  2 gem spectrum over deelreeksen 

% bepaal gebied f:
df          = f(2)-f(1);
ithresh(2)   = floor(fmaxs/df);
ft          = f(1:ithresh(2));
Et          = E(1:ithresh(2));


% set(0,'DefaultLineColor','k');
figure(nfig);
plot(ft,Et);
% logartitmisch plotten met in functie op te geven y-bereik:
% stairs(ft,Et);
% set(gca,'YScale','log','Fontsize',8);
% ylimi = [1e-4,10];
% set(gca,'Ylim',ylimi);

tekst1  = sprintf('variance spect. file %s, chan %d ', in_naam, ch);
%tekst2  = sprintf('\nvariance spect');
if method==2
    tekst2  = ...
sprintf('\naveraged over parts of time series, res %7.3f Hz, thresh %7.3f*E_{max}',...
fres,thresh);
elseif method==0
    tekst2  = sprintf('\nres %8.4f Hz, thresh %7.3f*E_{max}', fres,thresh);
else
    tekst2  = ...
sprintf('\nsummed over freq bands, res %7.3f Hz, thresh %7.3f*E_{max}', fres,thresh);
end
tekst   = [tekst1 tekst2];
title(tekst,'Fontsize',8);
xlabel('f (Hz)');
tekst4 = 'm^2/Hz';
ylabel(tekst4);
   
% einde FN_plotD12