function FN_plotdata2(in_name,A);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_plotdata2
%   Makes a graph of measurements A from file in_name. 
%   version 2
%   2-2-05
%
%
%
%
%           H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% input:
%   in_name:    name of input file
%   A:          matrix with:
%               A(:,i) measurements, i=1:nchan
%               or: 
%               A(:,1) time
%               A(:,i) measurements, i=2:nchan+1

timecol = 1;   % default: time in column 1

Def     = {'1'};
Title   = 'Plotdata';
Prompt  = 'time in first col of A (1 yes, 2 no)';
Inparm1 = inputdlg(Prompt,Title,1,Def,'off');

% change column containing times (if given by user):
if length(Inparm1)>0
    timecol = str2num(Inparm1{1});
end    

% make time vector and data matrix:
A1 = A;
[nsamp,nchan] = size(A1);
if timecol==1
    T = A(:,1);
    A(:,1) = [];
    nchan = nchan-1;
else    
    T = 0:nsamp-1;
    T = T';
end    
        
% plot data
set(0,'DefaultLineColor','k');
figure(1);
    h1 = figure(1);
    for i=1:nchan
        leg1 = ['ch' num2str(i)];
        leg{i} = char(leg1);
    end    
    h1 = plot(T,A,'-');   
    grid on;
    set(gca,'Fontsize',8,'Gridlinestyle',':');
    title(in_name,'Fontsize',8);
    legend(h1,leg);

    tekst1  = ['File ' in_name];
    title(tekst1,'Fontsize',8);

% einde FN_plotPr