function [fs,Es]=FN_sum7(f, E, fres);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_sum7
%   Calculates sum over frequency bands of width fres of
%   a variance spectrum.
%   version 7, no bands of length 0
%   June 14, 2004, changed: 26-May-05, eps->eps1 (comment only) 
%
%
%
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% version 7, no bands of length 0
% version 5 and 6: alternatives of version 7, used during test 
% versions 3 and 4: higher order filters, not working yet
% version 2: variance density
% version 1: percentage of energy instead of variance density,
%           output row vector
% input:
%   f:      column vector containing frequencies
%   E:      column vector containig variance spectrum
%   fres:   frequency resolution in output spectrum if fres>df,
%           otherwise, fres will be set to df
%
% output:
%   fs: column vector of central frequency values
%   Es: column vector of sum of variance densities per 
%       frequencyband

nf  = length(f);
df  = f(2) - f(1);

% find bounds of summation bands:
i = 1;
j = 1;
lim(1) = 1;
while i<nf
    while f(i)<=j*fres & i<nf
        i = i+1;
    end
    j = j+1;
    lim(j) = i;
    i = i+1;    % added 14 June 04, to avoid case lim(j+1)=lim(j)
end    

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% test file
% eps1 = 1e-3;
%FID6 = fopen('test.txt','w');
%fprintf(FID6,'  i       f          E         fs         Es\r\n');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
nint = length(lim);
for i=1:nint-1
    fs(i) = (f(lim(i))+f(lim(i+1)-1))/2;
    Es(i) = sum(E(lim(i):lim(i+1)-1))/(lim(i+1)-lim(i));
 %       for j=lim(i):lim(i+1)-1
 %           fprintf(FID6,'%4d %10.4f %10.4e\r\n',j,f(j),E(j));
 %       end
 %       fprintf(FID6,'%4d                       %10.4f %10.4e\r\n',i,fs(i),Es(i));
end    
%fclose(FID6);
%Es  = df/fres .* Es; % fout !!! E is onafh. v. df, opp. som E*df = const,
% het aantal E's neemt af als df toeneemt, maar E zelf niet
% the number of E's decreses as df increases, but E doesn't change
fs  = fs';
Es  = Es';
%subplot(2,1,1);
%plot(f,E);
%subplot(2,1,2);
%plot(fs,Es);
    
% einde FN_sum7