function[A,N] = FN_testsig1(Inparm)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   FN_testsig maakt een sinusvormig testsignaal
%   aangepast: 27-4-05
%
%
%
%
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                       H. Klaasman
%														26 mrt 01
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Invoer:
%	Inparm:	structure met invoerparameters:
%			.nper		aantal periodes
%			.naam		naam invoerbestand
%			.a			amplitude
%			.T			periode
%			.dt			tijdstap
%			.phi		fase
% Uitvoer:
%   A(i,1) = (i-1) * dt
%	A(i,2) = a * sin(2*pi*((i-1)*dt + phi) 
%   N:  aantal punten
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Nper  = Inparm.nper;
T     = Inparm.T;
dt    = Inparm.dt;
Ttot  = Nper*T;
N     = ceil(Ttot/dt);
A     = zeros(N,2);
w     = 2*pi/T;
phi   = 2*pi/360 * Inparm.phi;
% tstep = w*dt;
t  		= 0:dt:(N-1)*dt;
t1      = w*t;
A  		= ones(N,2);
A(:,1) 	= t';
A(:,2)  = Inparm.a * sin(t1' + phi);

%for i=1:N
%   A(i,1) = (i-1) * tstep;
%   A(i,2) = Inparm.a * (sin((i-1)*tstep + phi));
%end
