function [L] = FN_wavel(h,T);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_wavel
%   Calculate wavelength for a given waterdepth and
%   wave period
%   usage: [L] = FN_wavel(h,T)
%   12-Sep-00
%
%
%
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% invoer:
% 	h:	waterdiepte
%	T:	golfperiode
% uitvoer:
%	L:	golflengte
%

g=9.81;
L0 = g*T^2/(2*pi);
t1 = 2*pi*h;
L1 = L0*tanh(t1/L0);
deltaL = (L1-L0)/L0;
while abs(deltaL)>1e-6
   L2 = L0*tanh(t1/L1);
   deltaL = (L2-L1)/L1;
   L1 = L1*(1 + deltaL);
end
L = L1;
