function FN_waves2(padnaam,infile,Inparm);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_waves2 
%   Make a .pcf-file to be used by the Auke program Waves
%   version 2: Inparm changed to general setup
%   23-Nov-04, text changed: 27-Apr-05
%
%
%
%
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   versie 2: Inparm aangepast aan algemene opzet
%
% invoer:
% 	infile:	naam invoerbestand
%	Inparm:	structure met invoerparameters
%	    dt:	    tijdstap van de metingen
%	    hm:	    waterdiepte in m
%	    ncols:	aantal te verwerken kolommen
%	    col:	vector met kolomnummers 
%	    xp:	    vector met x-coordinaten in m
%	    sc:     schaalfactor van de meetwaarden naar meters
%
%				H. Klaasman

outfile = [padnaam 'waves.pcf'];

% naam invoerbestand zonder extensie:
ip	= findstr(infile,'.');
innaam	= infile(1:ip-1);

% naam invoerbestand zonder pad (toegevoegd, 22-4-04):
ip2	        = findstr(innaam,'\');
dosnaam2    = innaam(ip2(length(ip2))+1:length(innaam));

% open uitvoerbestand:
if exist(outfile)~=0
	keuze = questdlg('Overwrite command file waves.pcf?','Asc2wav',...
        'yes','no','yes');

	switch(keuze)
	case 'yes'
		FID = fopen(outfile,'w');
	case 'no'
		outfile = [innaam '.pcf'];
		FID = fopen(outfile,'w');
		tekst = sprintf('command file saved to %s', outfile);
		msgbox(tekst);		
	end
else
	FID = fopen(outfile,'w');
end

% schrijf uitvoerbestand:
% fprintf(FID,'datafile,%s\r\n',innaam);    % vervangen, 22-4-04
fprintf(FID,'datafile,%s\r\n',dosnaam2);
for i=1:Inparm.ncols
	fprintf(FID,'series,unique,name=COL%02d\r\n',i);
end
fprintf(FID,'correlation,select=wave\r\n');
fprintf(FID,'max,select=wave,number=25\r\n');
% percentages vervangen door defaults, 30-3-04
fprintf(FID,'exceedance,perc=100\r\n');  % toegevoegd, 22-1-04
fprintf(FID,'exceedance,perc=90\r\n');  % toegevoegd, 22-1-04
fprintf(FID,'exceedance,perc=50\r\n');  % toegevoegd, 22-1-04
fprintf(FID,'exceedance,perc=20\r\n');  % toegevoegd, 22-1-04
fprintf(FID,'exceedance,perc=10\r\n');  % toegevoegd, 22-1-04
fprintf(FID,'exceedance,perc=2\r\n');  % toegevoegd, 22-1-04
fprintf(FID,'exceedance,perc=1\r\n');  % toegevoegd, 22-1-04
fprintf(FID,'PARAMETER\r\n');
fprintf(FID,'ALL\r\n');
fprintf(FID,'END:PARAMETER\r\n');

fclose(FID);

% einde FN_waves2