function [i1,i2] = SFN_zeros3(A);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% SFN_zeros3 
%   Find first zero and last zero with equal sign as first
%   of the first column of a matrix
% version 3: slope begin=slope end
%           from the end pair of points, choose the value 
%           closest to the first
%   8-May-03
%
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% invoer:
% 	A:	invoerarray
%
% uitvoer:
%	i1:	1e nuldoorgang
%	i2:	laatste nuldoorgang met zelfde teken als de eerste
%


[nsamp,nchan] = size(A);
% bepaal de eerste tekenwisseling:
i1 = 2;
s1 = sign(A(1,1)); 
s = sign(A(i1,1));
while (sign(A(i1,1))==s1)
    i1 = i1+1;
    s = sign(A(i1,1));
end

% bepaal het teken van de helling:
s2  = sign(A(i1,1));
sh1 = sign(s2-s1);

% kies het eerste punt van de nuldoorgang:
i1 = i1-1;

% bepaal de laatste tekenwisseling:
s3 = sign(A(nsamp,1));
i2 = nsamp-1;
s = sign(A(i2,1));
while (sign(A(i2,1))==s3)
    i2 = i2-1;
    s = sign(A(i2,1));
end

% bepaal het teken van de helling:
s4  = sign(A(i2,1));
sh2 = sign(s3-s4);

% teken helling aan begin verschilt van teken helling aan eind:
if sh2~=sh1
    i2 = i2-1;
    s = sign(A(i2,1));
    while(sign(A(i2,1))==s4)
        i2 = i2-1;
        s = sign(A(i2,1));
    end
end

% Kies uit het laatst gevonden paar de waarde die het best 
% aansluit op punt i1:
a1 = abs(A(i1,1)-A(i2,1));
a2 = abs(A(i1,1)-A(i2+1,1));
if a2>a1
    i2 = i2-1;
end    


% einde SFN_zeros3