function [k,c] = dispers(f,h,g)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% dispers       dispersion relation
% author Henk Jan Bakkenes (TU Delft)
%
% function [k,c] = dispers(f,h,g)
%
%
% input variables:
%   - f: frequency (single value or column vector)
%   - h: water depth (single value or column vector)
%   - g: gravity accelleration
%
% NOTE: f OR h can be vector, not both at the same time !!!
% Hunt (1979) approximation

y = (2*pi*f).^2*h/g;
d = [.666 .355 .161 .0632 .0218 .00654]';
sumterm = (d(1).*y + d(2).*y.^2 + d(3).*y.^3 + d(4).*y.^4 + d(5).*y.^5 + d(6).*y.^6 );

k = 1./h .* sqrt(y.^2+y./(1+sumterm));
c = 2*pi * f ./ k;

