% function Lvmsp7
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Lvmsp
%   View data from a selected data file using sptool from the
%   signal processing Toolbox.
%   usage: Lvmsp
%   parameters asked from screen
%
%	version 7: functions changed to general setup
%	1-Feb-05
%					H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% versie 7: functies aangepast aan algemene opzet
% versie 6: pad onthouden
% versie 5: max. afh. van aantal kanalen
% versie 4: met stapgr. en begrenzig
% versie 3: met stapgrootte
% versie 2: bestandstype automatisch bepalen
% Opm. van de versie met tekiezen kanalen bestaat
%	geen back-up; evt. herschrijven (in het gedeelte
%	met 'eval' sommige i's vervangen door Inparm.col(i)).
%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
%   Let op: de SP-toolbox heeft een beperkt aantal licenties
%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Programmabeschrijving:
% Het programma leest de gegevens uit een door de gebruiker aan te
% wijzen invoerbestand. 
% Er mogen evt. meer kolommen in staan (de gebruiker geeft de
% nummers van de te verwerken kolommen op).
% Bekijk kan worden gebruikt voor de volgende meetbestanden:
% - Ascii, scheidingstekens tab, spatie, komma of ';'.
%	N.B. De ';' is geen standaardscheidingsteken voor Matlab;
%	dit kost tijdens het inlezen extra tijd.
% - Bij Dasylabbestanden in Ascii-format wordt het aantal headerregels
%	automatisch bepaald, bij de overige Ascii-bestanden moet het door 
%	de gebruiker worden opgegeven.
% -	Eisen voor de invoerbestanden:
%	-	per keer alleen Dasylab-bestanden of alleen niet-Dasylab-bestanden,
% 	-	bij Dasylab-bestanden mogen bestanden met- en zonder header 
%		doorelkaar worden gebruikt en mag de header verschillende lengtes 
%		hebben; bij niet-Dasylab-bestanden moet de header bij alle bestanden 
%		even lang zijn (lengte 0 mag ook),
%	-	het aantal kanalen mag per bestand wisselen, maar voor het maximaal 
%		aantal in te lezen samples worden eisen gesteld: bij alle bestanden 
%		gelijk f alle bestanden lezen tot einde file.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% HOOFDPROGRAMMA
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%clear all;
% voeg functies aan pad toe:
addpath('.\Functions');
%addpath('D:\Hetty\Matlab\Lab_process\Functions');

% lees invoerbestand:
[in_name, path_name, Fileinfo, A, type, err1] = FN_infile8;

%%%% Controleer of de gebruiker wil doorgaan:
if err1==0 & in_name~=0 & type==1

    % invoerparameters voor plot: (aangepast: 13-1-05)
    scr_num = 8;
    [nsamp,nchan] = size(A);        
    [Inparm,err1] = FN_inparm2(scr_num,nchan);
    
    if err1==0

        % select samples:
        % minder parameters; start->err1
        show = 1;
        if Inparm.colt>0
            Inparm.col(Inparm.colt)=[];
        end    
        [Scanparm,Ts,A1,err1] = FN_selectnw2(A,Fileinfo,Inparm,show);
        
      	if err1==0
            A = A1;
            clear A1;
     	
            %%%% zet resultaat in uitvoerbestand:
            out_num=1;
            Outparm.dummy = 1;  % Outparm wordt hier niet gebruikt
%            FN_outdata2(out_num,in_name,Inparm,Scanparm,Outparm,Ts,A);

            %%%% plot kanalen:
            [nsamp,nchan] = size(A);
            for i=1:nchan
                eval(['CH',num2str(Inparm.col(i)),'=A(:,i);']);
            end
			
            % hulpvariabelen voor de toolbox:
            if Scanparm.dt>1e-4
                Freq = 1./Scanparm.dt;
            else
                Freq = 1;
            end
            sptool;

        end     % FN_selectnw2
    end     % FN_inparm    
end % FN_infile8

FN_error(err1);

% EINDE Lvmsp			

