function varargout = lvmview(varargin)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Lvmview
%	Menu to read and view data from an Ascii file via GUI
%   usage: Lvmview
%
%	version 12: changed to general setup;
%      get data from workspace via subfuction     
%	1-Mar-05 
%
%               H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% LVMVIEW Application M-file for lvmview.fig
%    FIG = LVMVIEW launch lvmview12 GUI.
%    LVMVIEW('callback_name', ...) invoke the named callback.

% Last Modified by GUIDE v2.5 01-Dec-2004 13:15:18

% versie 12: aanpassing aan algemene opzet
%      binnenhalen reeds aanwezige gevens in subfuctie     
% versie 11: FN_infile6 -> FN_infile7, pad onthouden
% versie 10: invoergegevens toekennen aan workspace
%   om bij volgende aanroep opnieuw te gebruiken.
%   bij niet-dasylabbestand wordt header getoond
%   FN_infile3  -> FN_infile6
%   FN_lvmplot1 -> FN_lvmplot2:
%   er wort niet teruggesprongen naar het submenu,
%   maar naar het hoofdmenu
% versie 8: met eerste aanroep plot als handle

% Lvmview generates a menu to open an ASCII file of 
% measurements or a .fig-file. 
% In case of an ASCII file, the program askes for the type
% of plot (1 or more chanels per graph), the sample  
% numbers and the chanels to be plotted. One ore more
% figures will be opened, which can be printed or stored
% to disk as a .fig-file. The plot parameters can be changed
% by minimising or closing the figure, and click on Samples
% in the pull down menu Plot. The new figures overwrite
% the old ones.
% If a .fig-file is opened, the figure will be displayed
% and can be printed.
% If no file is opened, the workspace is inspected for
% data of an earlier call of Lvmview10.
% Last version: 31-7-02 

addpath('.\Functions');
%addpath('D:\Hetty\Matlab\Lab_process\Functions');

if nargin == 0  % LAUNCH GUI

	fig = openfig(mfilename,'reuse');
	% Generate a structure of handles to pass to callbacks, and store it. 
	handles = guihandles(fig);
    handles.first = 0;  % toegevoegd om eerste aanroep plot te controleren
	guidata(fig, handles);
    
	if nargout > 0
		varargout{1} = fig;
	end
    
elseif ischar(varargin{1}) % INVOKE NAMED SUBFUNCTION OR CALLBACK

	try
		if (nargout)
			[varargout{1:nargout}] = feval(varargin{:}); % FEVAL switchyard
		else
			feval(varargin{:}); % FEVAL switchyard
		end
	catch
		disp(lasterr);
	end

end


%| ABOUT CALLBACKS:
%| GUIDE automatically appends subfunction prototypes to this file, and 
%| sets objects' callback properties to call them through the FEVAL 
%| switchyard above. This comment describes that mechanism.
%|
%| Each callback subfunction declaration has the following form:
%| <SUBFUNCTION_NAME>(H, EVENTDATA, HANDLES, VARARGIN)
%|
%| The subfunction name is composed using the object's Tag and the 
%| callback type separated by '_', e.g. 'slider2_Callback',
%| 'figure1_CloseRequestFcn', 'axis1_ButtondownFcn'.
%|
%| H is the callback object's handle (obtained using GCBO).
%|
%| EVENTDATA is empty, but reserved for future use.
%|
%| HANDLES is a structure containing handles of components in GUI using
%| tags as fieldnames, e.g. handles.figure1, handles.slider2. This
%| structure is created at GUI startup using GUIHANDLES and stored in
%| the figure's application data using GUIDATA. A copy of the structure
%| is passed to each callback.  You can store additional information in
%| this structure at GUI startup, and you can change the structure
%| during callbacks.  Call guidata(h, handles) after changing your
%| copy to replace the stored original so that subsequent callbacks see
%| the updates. Type "help guihandles" and "help guidata" for more
%| information.
%|
%| VARARGIN contains any extra arguments you have passed to the
%| callback. Specify the extra arguments by editing the callback
%| property in the inspector. By default, GUIDE sets the property to:
%| <MFILENAME>('<SUBFUNCTION_NAME>', gcbo, [], guidata(gcbo))
%| Add any extra arguments after the last argument, before the final
%| closing parenthesis.



% --------------------------------------------------------------------
function varargout = File_1_Callback(h, eventdata, handles, varargin)




% --------------------------------------------------------------------
function varargout = Open_1_Callback(h, eventdata, handles, varargin)
% Callback File, Open       1-12-04
% zonder editor bij fout aantal headerregels:   FN_infile3
% met editor bij fout aantal headerregels:      FN_infile8 
%                                   (FN_infile7 in Lvmview11)
err1=0;
[in_naam, pad_naam, Fileinfo, A, type, err1] = FN_infile8;
if err1==0 & type==1
    % voeg gegevens toe aan handle
    handles.in_naam     = in_naam;
    handles.Fileinfo    = Fileinfo;
    handles.A           = A;
    handles.type        = type;
    guidata(h,handles);
    % zet ingelezen gegevens in de workspace:
    assignin('base','A',A);
    assignin('base','Fileinfo',Fileinfo);
    assignin('base','in_naam',in_naam);
    assignin('base','type',type);

    if in_naam~=0 & type==1
        % invoerparameters voor plot: (aangepast: 30-11-04)
        scr_num = 3;
        [nsamp,nchan] = size(A);        
        [Inparm,err1] = FN_inparm2(scr_num,nchan);

        % de volgende regels moeten ook als er iest fout gaat:
        % in dat geval worden verstekwaarden gebruikt
        handles.Inparm  = Inparm;
        guidata(h,handles);
        
        % om het prosec achteraf te kunnen controleren worden zoveel
        % mogelijk gegevens in de workspace geplaatst;
        % zet deze regels uit om het proces te versnellen
        assignin('base','Inparm',Inparm);
        
        
        if err1==0
            % opvragen te plotten monsterpunten:
            show = 1;
            [Scanparm,Ts,A1,err1] = FN_selectnw2(A,Fileinfo,Inparm,show);

            % de volgende regels moeten ook als er iest fout gaat:
            % in dat geval worden verstekwaarden gebruikt
            handles.Ts       = Ts;
            handles.A1      = A1;
            guidata(h,handles);
            
            % workspace; evt. uitzetten
            assignin('base','Scanparm',Scanparm);
            assignin('base','Ts',Ts);
            assignin('base','A1',A1);
            
            if err1==0
                % plotten: keuze plot moet vanuit menu
                % FN_lvmplot4 loopt soms vast, hkl, 25-1-05
                tekst = 'click Plot on menu bar to make your choise';
                hp = msgbox(tekst);
                uiwait(hp);
                
%                first = 0;   % bij nieuw bestand first resetten   
%                first1 = FN_lvmplot4(Ts,A1,Inparm,in_naam,first);
%                handles.first = first1;
%                guidata(h,handles);
            end
        end
    end
end    

% foutafhandeling:
FN_error(err1);

% --------------------------------------------------------------------
function varargout = Exit_1_Callback(h, eventdata, handles, varargin)
% Callback File, Close      28-5-02

close;


% --------------------------------------------------------------------
function varargout = Plot_1_Callback(h, eventdata, handles, varargin)



% --------------------------------------------------------------------
function varargout = Samples_1_Callback(h, eventdata, handles, varargin)
% Callback Plot, Samples, 6-12-04
%

err1 = 0;

% haal gegevens binnen:
callnum=1;
[Ts,A1,Inparm,in_naam,first,err1] = SFN_zoekdata(h,eventdata,handles,callnum);
handles.Ts       = Ts;
handles.A1      = A1;
handles.Inparm  = Inparm;
handles.in_naam = in_naam;
handles.first   = first;
guidata(h,handles);

if err1==0
% plotten: keuze plot moet vanuit menu
% FN_lvmplot4 loopt soms vast, hkl, 25-1-05
     tekst = 'click plot on menu bar to make your choise';
     hp = msgbox(tekst);
     uiwait(hp);
                
 %   %%%% plot kanalen:
 %   first1 = FN_lvmplot4(Ts,A1,Inparm,in_naam,first);
 %   handles.first = first1;
 %   guidata(h,handles);
end    

% foutafhandeling:
FN_error(err1);


% --------------------------------------------------------------------
function Channels_1_Callback(h, eventdata, handles, varargin)
% Callback Plot, Channels, 6-12-04

err1 = 0;

% haal gegevens binnen:
callnum=2;
[Ts,A1,Inparm,in_naam,first,err1] = SFN_zoekdata(h,eventdata,handles, callnum);
handles.Ts       = Ts;
handles.A1      = A1;
handles.Inparm  = Inparm;
handles.in_naam = in_naam;
handles.first   = first;
guidata(h,handles);

if err1==0
    % plotten: keuze plot moet vanuit menu
    % FN_lvmplot4 loopt soms vast, hkl, 25-1-05
    tekst = 'click plot on menu bar to make your choise';
    hp = msgbox(tekst);
    uiwait(hp);
    %%%% plot kanalen:
%    first1 = FN_lvmplot4(Ts,A1,Inparm,in_naam,first);
%    handles.first = first1;
%    guidata(h,handles);
end 

% foutafhandeling:
FN_error(err1);


% --------------------------------------------------------------------
function varargout = Sep_1_Callback(h, eventdata, handles, varargin)
% Callback Plot, 1 chanel per graph       6-12-04
%

err1 = 0;

% haal gegevens binnen:
callnum=3;
[Ts,A1,Inparm,in_naam,first,err1] = SFN_zoekdata(h,eventdata,handles,callnum);
handles.Ts       = Ts;
handles.A1      = A1;
handles.Inparm  = Inparm;
handles.in_naam = in_naam;
handles.first   = first;
guidata(h,handles);

if err1==0
    %%%% plot kanalen:

    FN_plot25(Ts,A1,Inparm,in_naam,first);
    handles.first = 1;
    guidata(h,handles);
end % bestand geopend

% foutafhandeling:
FN_error(err1);




% --------------------------------------------------------------------
function varargout = Fig_1_Callback(h, eventdata, handles, varargin)
% Callback Plot, all chanels in 1 fig.       6-12-04
%
err1 = 0;

% haal gegevens binnen:
callnum=3;
[Ts,A1,Inparm,in_naam,first,err1] = SFN_zoekdata(h,eventdata,handles, callnum);
handles.Ts       = Ts;
handles.A1      = A1;
handles.Inparm  = Inparm;
handles.in_naam = in_naam;
handles.first   = first;
guidata(h,handles);

if err1==0
    %%%% plot kanalen:

    FN_plot26(Ts,A1,Inparm,in_naam,first);
    handles.first = 1;
    guidata(h,handles);
end % bestand geopend

% foutafhandeling:
FN_error(err1);

% --------------------------------------------------------------------
function [Ts,A1,Inparm,in_naam,first,err1] = ...
    SFN_zoekdata(h, eventdata, handles, callnum)
% Haal gegevens binnen, versie Lvmview: 9-12-04
% callnum:
% 1: samplenummers gevraagd (FN_selectnw2)
% 2: kanalen gevraagd (FN_inparm2)
% 3: plot gevraagd (als gegevens er al zijn: geen select of inparm nodig)
%
err1 = 0;

% File-menu geopend:
if isfield(handles,'type')
    % databestand:
    if handles.type==1
        A               = handles.A;
        Fileinfo        = handles.Fileinfo;
        in_naam         = handles.in_naam;
        first           = handles.first;
    % fig-bestand:    
    else    
        err1 = 302;
    end
% workspace
else
    % probeer of al data zijn ingelezen:
    try
        A           = evalin('base','A');
        Fileinfo    = evalin('base','Fileinfo');
        in_naam     = evalin('base','in_naam');
        type        = evalin('base','type');
        first       = 1;
    catch
        c   = lasterr;
        % geen data ingelezen:
        if length(c)>0
        %    hc = msgbox(c);
        %    uiwait(hc);
            err1 = 301;
        % data ingelezen:
        else
            % inhoud workspace in handle
            handles.A       = A;
            handles.Fileinfo= Fileinfo;
            handles.in_naam = in_naam;
            handles.type    = type;
            first           = 0;
        end    
    end
       
end    

% er zijn data, en de naam van het bestand is bekend:
if err1==0
    if in_naam~=0

        % er zijn al invoerparameters:
        if isfield(handles,'Inparm') & callnum~=2
            Inparm = handles.Inparm;
        % nog geen invoerparameters:    
        else    
            scr_num = 3;
            [nsamp,nchan] = size(A);        
            [Inparm,err1] = FN_inparm2(scr_num,nchan);
            handles.Inparm  = Inparm;
            guidata(h,handles);
            
            % workspace; evt. uitzetten
            assignin('base','Inparm',Inparm);

           end    

        % gebruiker wil doorgaan:
        if err1==0
            % er zijn al samples gekozen:
            if isfield(handles,'Ts') & callnum==3
                Ts   = handles.Ts;
                A1  = handles.A1;
            % nog geen samples gekozen:
            % dit moet ook bij callnum=2, kanalen kiezen, omdat A1 nog
            % de kanalen van de vorige keuze bevat.
            else
                show = 1;
                [Scanparm,Ts,A1,err1] = FN_selectnw2(A,Fileinfo,Inparm,show);
                handles.Ts       = Ts;
                handles.A1      = A1;
                guidata(h,handles);

                % workspace; evt. uitzetten
                assignin('base','Scanparm',Scanparm);
                assignin('base','Ts',Ts);
                assignin('base','A1',A1);
           end    
        else
            % maak een verstekwaarde voor A1 en Ts:
            A1 = A;
            [nsamp,nchan] = size(A);
            Ts = (0:nsamp-1).*(Inparm.dt*Fileinfo.step);
            Ts(1:10)
            Ts = Ts';
        end    
    end    
        
% er is geen databestand ingelezen of de naam van het bestand is niet bekend:
else
        err1        = 301;
        Ts          = [];
        A1          = [];
        Inparm.step = 1;
        Scanparm.dt = 1;
        in_naam     = 0;
        first       = 0;
end 

% einde SFN_zoekdata
