% function Spect
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Spect
%	Calculate and plot the amplitude spectrum of 1 channel containing a
%	regular wave (see also: \Lab_Process\Pwspect)
%   usage: Spect
%   parameters asked from screen
%
%   version 7: input and output in general functions
%	1-Feb-05
%					H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   Alternative use: \Lab_process\Pwspect.
%   version 7: input and output in general functions
%   version 6: plot and write separated, thresh added
%   versie 5: nieuwe functies onthouden pad en inleesfie uit Lvmview
%   versie 4: met onthouden pad
%	versie 3: met schaalfactor en eenheden
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Programmabeschrijving:
% Het programma leest de gegevens uit een door de gebruiker aan te
% wijzen invoerbestand. 
%
% invoer van de gebruiker:
%	tijdstap van de metingen
%   eenheden
%	schaalfactor van de meetwaarden naar eenheden
%   monsternummer eerste te analyseren meetpunt
%   monsternummer laatste te analyseren meetpunt
%	kolomnummer gegevens te plotten spectrum
% Het aantal punten waaruit het spectrum wordt bepaald wordt gelijk 
% genomen aan het aantal punten tussen de nuldoorgangen aan het begin en 
% het eind van de meetreeks met dezelfde tekenwisseling. 
% Hiertoe wordt eerst het gemiddelde afgetrokken.
% Volgens deze methode valt bij een regelmatige golf de basisfrequentie
% in het met een fft gevonden spectrum (d.w.z. N*dt is een geheel aantal 
% perioden).
% Deze methode is oorspronkeliijk gebruikt voor een regelmatige golf.
% Bepalen van het spectrum over alle punten is niet sneller, wel minder 
% nauwkeurig (test: 15-1-03).
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all;

%%%% voeg functies aan pad toe
addpath('.\Functions');

% lees invoerbestand:
[in_naam, pad_naam, Fileinfo, A, type, err1] = FN_infile8;
if err1==0
    [nsamp,nchan] = size(A);
    scr_num = 6;
    [Inparm,err1] = FN_inparm2(scr_num,nchan);
   
    %%%% Ga door als err1=0:
  	if err1==0
           
        % selecteer de gevraagde rijen en kolommen uit A
        show = 1;
        [Scanparm,Ts,A1,err1] = FN_selectnw2(A,Fileinfo,Inparm,show);
%        clear A; % laten staan voor latere bewerkingen, Hkl, 14-12-04
        
        if err1==0
    		%%%% Bepaal het spectrum: 
   		    [f,a,b,c] = FN_spect4(Inparm,Scanparm,A1);
        
            % Schrijf spectrum naar uitvoerfile:
            FN_outspect1(in_naam,Inparm,f,a,b,c);
        
            % Plot spectrum:
            FN_plotspect1(in_naam,Inparm,Scanparm,f,c)
        end     % err1==0    

    end		% err1==0
    
else
        msgbox('no input data');
end		% err1~=0
%end     % invoerbestand aangeklikt

% EINDE PROGRAMMA
