function [] = FN_uit_t3a(padnaam,Inparm,L,N,A);
% FN_uit_t3a zet de invoerparameters en testsig in bestanden 'Inparm.naam'.txt
% resp. 'Inparm.naam'.asc.
% Omdat 'save' veel sneller is dan 'fprintf', en omdat 'save' niet
% bruikbaar is voor tekst wordt hier in 2 verschillende bestanden
% weggeschreven.
% Voor header en data in 1 bestand: gebruik FN_uit_t3.
% @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
% @ te gebruiken in combinatie met testsig.m
% @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
% invoer:
%	padnaam:	padnaam uitvoerbestand
%	Inparm:	structure met invoerparameters:
%			.naam		naam uitvoerbestand
%			.nper		aantal perioden
%			.tijdstap	tijdstap
%			.golfper	golfperiode
%			.diepte 	waterdiepte in m
%			.dx			afstand golfhoogtemeters in m
%			.fr			terugkaatsingscoefficient
%			.phi_i		fase invallende golf op plaats tussen
%						golfhoogtemeters
%			.phi_r		fase teruggekaatste golf op plaats tussen
%						golfhoogtemeters
%	x:		array met posities golfhoogtemeters
%	L:		golflenge
%   N:		aantal monsterpunten
%
%												H. Klaasman, 8 mrt 01

% open uitvoerbestand:
%padnaam   = 'indata\';
uitfile   = [padnaam Inparm.naam '.txt'];
FID1 = fopen(uitfile,'w');

d1 = datestr(now);
fprintf(FID1,'%s\r\n',d1);
fprintf(FID1,'\nnaam bestand                 : %s\r\n', Inparm.naam); 
fprintf(FID1,'\naantal perioden              : %14.8g\r\n', Inparm.nper);
fprintf(FID1,'tijdstap                     : %14.8g\r\n', Inparm.tijdstap);
fprintf(FID1,'golfperiode                  : %14.8g\r\n', Inparm.golfper);
fprintf(FID1,'aantal monsterpunten         : %14d\r\n', N);
fprintf(FID1,'waterdiepte                  : %14.8g\r\n', Inparm.diepte);
fprintf(FID1,'golflengte                   : %14.8g\r\n', L);
fprintf(FID1,'afstand golfhoogtemeters     : %14.8g\r\n', Inparm.dx);
fprintf(FID1,'terugkaatsingscoefficient    : %14.8g\r\n', Inparm.fr);
fprintf(FID1,'fase inkomende golf op plaats\r\n');
fprintf(FID1,'tussen golfhoogtemeters      : %14.8g\r\n', Inparm.phi_i);
fprintf(FID1,'fase teruggekaatste golf op plaats\r\n');
fprintf(FID1,'tussen golfhoogtemeters      : %14.8g\r\n', Inparm.phi_r);
fprintf(FID1,'ampl. normaalverd. witte ruis: %14.8g\r\n', Inparm.aruis);

fclose(FID1);

file2 = [padnaam Inparm.naam '.asc'];
save(file2,'A','-ascii');

% einde FN_uit_t3a