function FN_uit_t7(innaam,Inparm,A);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% FN_uit_t7 
% zet de invoerparameters en testsig in uitvoerbestanden
% versie 1
% 11-9-03, aanpassing 2-2-05, tekst "date" voor datum in header
%   om de regel als niet-numeriek te herkennen
%
%                                           H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% invoer:
%   innaam: naam invoerbestand
%	Inparm:	structure met invoerparameters:
%       Tp	    piekperiode
%       Hm0     parmameter voor Multilin, ~ significate golfhoogte
%       dt	    tijdstap
%       h		waterdiepte
%       Kr	    veronderstelde terugkaatsingscoefficient
%       x	    vector met veronderstelde posities golfhoogtemeters
%	A:		uitvoerdata

[nsamp,nchan] = size(A);

% open uitvoerbestand:
tekst   = 'uitvoerbestand';
%i       = findstr(innaam,'.');
%defnaam = [innaam(1:i(1)-1) '.asc'];
filt = '.asc';
[uitnaam, padnaam] = FN_chsoutf4(filt,tekst);

if uitnaam~=0
    uitfile   = [padnaam uitnaam];
    FID1 = fopen(uitfile,'w');

    d1 = datestr(now);
    fprintf(FID1,'date %s\r\n',d1);
    fprintf(FID1,'\r\nnaam bestand             : %s\r\n', uitnaam); 
    fprintf(FID1,'piekperiode              : %10.4f s\r\n', Inparm.Tp);
    fprintf(FID1,'Hm0                      : %10.4f m\r\n', Inparm.Hm0);
    fprintf(FID1,'tijdstap                 : %10.4f s\r\n', Inparm.dt);
    fprintf(FID1,'waterdiepte              : %10.4f m\r\n', Inparm.h);
    fprintf(FID1,'terugkaatsingscoefficient: %10.4f\r\n', Inparm.Kr);
    fprintf(FID1,'posities golfhoogtemeters:\r\n');
    fprintf(FID1,'%9.3f m   ',Inparm.x);
    [nsamp,nchan] = size(A);
    fprintf(FID1,' \r\n');
    for i=1:nsamp
       fprintf(FID1,'%14.6e ',A(i,:));
       fprintf(FID1,' \r\n');
    end   
    fclose(FID1);
end   

% einde FN_uit_t7