function testsig3
% testsig3 
%   maakt een op te geven aantal sinusvormige testsignalen voor het 
%	bepalen	van de terugkaatsingscoefficient.
%   versie 3
%   8-3-01
%
%
% gebruikte functies: FN_inparm_t3, FN_testsig3, Disper, FN_uit_t6
% @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
% @ in testsig3 wordt de Matlab-functie 'save' gebruikt om het verschil in 
% @ tijd met de (flexibeler) fucties fopen, fprintf en fclose te testen.
% @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
%																H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Invoer:
% invoerbestand: op de eerste regel verklarende tekst:
%	naam  tijdstap  golper (s) diepte(m)  afst (m)   fr  phi_i  phi_r  aruis
%	en daar onder de bestandsnaam, gevolgd door bovenstaande parameters
%	gescheiden door komma's. De parameters worden hieronder beschreven.
% Uitvoer:
% bestand testsig.asc
%	kol1 = cos(2*pi*((i-1)*dt-k*x1 + phi_i)) 
%	  		+ fr*cos(2*pi*((i-1)*dt + k*x1 + phi_r))
%	kol2 = cos(2*pi*((i-1)*dt-k*x2 + phi_i)) 
%	  		+ fr*cos(2*pi*((i-1)*dt + k*x2 + phi_r))
%	, i=1,1,N
% Parameters:
% naam	naam uitvoerbestand
% Nper	aantal perioden
% T		periode
% dt	tijdstap
% h		waterdiepte
% x1	positie eerste golfhoogtemeter
% phi_i	fase inkomende golf
% phi_r fase teruggekaatste golf
% fr	terugkaatsingscoefficient
% de positie van de tweede golfhoogtemeter wordt berekend uit
%	x2 = x1 + L/4 met L = 2*pi/Disper(2*pi/T,h) 
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all;

% lees parameters
[padnaam,Inparms] = FN_inparm_t3;
Nfiles = length(Inparms)

% lus bestanden:
%Nfiles=1;
for i=1:Nfiles
   
   		% bereken testsignaal	
   		Inparm = Inparms(i);
        [A,L,N] = FN_testsig3(Inparm);
   
	   % schrijf resultaat naar uitvoerbestanden:
   		% oude versie met parameters in header:
       % FN_uit_t3(Inparm,L,N,A);
         
       % nieuwe versie met aparte .txt-bestanden 
       % voordelen : 1)sneller, 2)standaard Matlab.   
		FN_uit_t3a(padnaam,Inparm,L,N,A);
end         

% einde testsig3
