function testsig4
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% testsig4 
%   maakt een sinusvormig testsignaal voor het bepalen van de
%	terugkaatsingscoefficient
%   versie zonder helling (met helling: vervang FN_testsig31 door 
%   FN_testsig32)
%   26-4-05
%
%
%															H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Uitvoer:
% bestanden naam.txt met de parameters en naam.asc met de gegenereerde
% testsignalen, naam in te voeren door de gebruiker.
%alternatief: 1 uitvoerbestand naam.asc met 
%	kol1 = cos(2*pi*((i-1)*dt-k*x1 + phi_i)) 
%	  		+ fr*cos(2*pi*((i-1)*dt + k*x1 + phi_r))
%	kol2 = cos(2*pi*((i-1)*dt-k*x2 + phi_i)) 
%	  		+ fr*cos(2*pi*((i-1)*dt + k*x2 + phi_r))
%	, i=1,1,N
% Parameters:
% Nper	aantal perioden
% T		periode
% dt	tijdstap
% h		waterdiepte
% x1	positie eerste golfhoogtemeter
% phi_i	fase inkomende golf
% phi_r fase teruggekaatste golf
% fr	terugkaatsingscoefficient
% aruis		amplitude normaal verdeelde witte ruis
% de positie van de tweede golfhoogtemeter wordt berekend uit
%	x2 = x1 + L/4 met L = 2*pi/Disper(2*pi/T,h) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

addpath('..\Functions');

% vraag parameters
[Inparm,start1] = FN_inparm_t;

if start1==1
   
    % bereken testsignaal	
%    [A,L,N] = FN_testsig3(Inparm); 
    [A,L,N] = FN_testsig31(Inparm); % 3 gewijzigd in 31, 16-9-04
%    [A,L,N] = FN_testsig32(Inparm); % 32, met helling, 6-4-05
  		  
   % plot testsignaal
%   plot(A);
   plot(A(:,1),A(:,2),A(:,1),A(:,3));   % met tijd, 16-9-04
   
   %   schrijf testresultaat naar uitvoerbestand(en):
   % standaard: meer bestanden:
   FN_uit_t4(Inparm,L,N,A);
   % als dat handiger is: 1 bestand:
%   FN_uit_t3(Inparm,L,N,A);
   
end

