function testsig6
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% testsig6
%   maakt een sinusvormig testsignaal voor het bepalen van de
%	terugkaatsingscoefficient
%   1 testgeval, parameters via scherm, storing: ribbels met Tr = T/9.5
%   meer gevallen: testsig3
%   8-3-01
%   aanpassing aan algemene opzet: 26-4-05
% gebruikte functies: FN_inparm_t, FN_testsig, Disper, FN_uit_t6 (parameters
% en data in aparte bestanden, sneller) of FN_testsig3 (parameters en data
% in 1 bestand, langzamer).
%																H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Uitvoer:
% bestanden naam.txt met de parameters en naam.asc met de gegenereerde
% testsignalen, naam in te voeren door de gebruiker.
%alternatief: 1 uitvoerbestand naam.asc met 
%	kol1 = cos(2*pi*((i-1)*dt-k*x1 + phi_i)) 
%	  		+ fr*cos(2*pi*((i-1)*dt + k*x1 + phi_r))
%	kol2 = cos(2*pi*((i-1)*dt-k*x2 + phi_i)) 
%	  		+ fr*cos(2*pi*((i-1)*dt + k*x2 + phi_r))
%	, i=1,1,N
% Parameters:
% Nper	aantal perioden
% T		periode
% dt	tijdstap
% h		waterdiepte
% x1	positie eerste golfhoogtemeter
% phi_i	fase inkomende golf
% phi_r fase teruggekaatste golf
% fr	terugkaatsingscoefficient
% aruis		amplitude ribbels
% de positie van de tweede golfhoogtemeter wordt berekend uit
%	x2 = x1 + L/4 met L = 2*pi/Disper(2*pi/T,h) 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

addpath('..\Functions');

% vraag parameters
[Inparm,start1] = FN_inparm_t6;

if start1==1
   
    % bereken testsignaal	
    [A,L,N] = FN_testsig6(Inparm);
  		  
   % plot testsignaal
%   plot(A);
   plot(A(:,1),A(:,2),A(:,1),A(:,3));   % met tijd, 16-9-04
   
   %   schrijf testresultaat naar uitvoerbestand(en):
   % standaard: meer bestanden:
   FN_uit_t4(Inparm,L,N,A);
   % als dat handiger is: 1 bestand:
%   FN_uit_t3(Inparm,L,N,A);
   
end

