%testsig7 (v.2)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% testsig7
%   Maakt een op te geven aantal testsignalen met een Jonswapspectrum 
%   uit een golfbeeld gemaakt door Multilin.
%   versie 2: algemene inleesfunctie
%   2-2-05
%																H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Uitvoer:
% bestanden naam.txt met de parameters en naam.asc met de gegenereerde
% testsignalen, naam in te voeren door de gebruiker.
%	kol(i) = .25/32768 * (a(i-is1) - Kr*a(i-is2)) 
% met   is1 = (x(i)-x(1))/(L*dt)
%       is2 = (2(len-x(i))-x(1))/(L*dt)
%   L: golflengte bij opgegeven piekperiode en waterdiepte
%   len: lengte goot - xi (= lengte vanaf xi)
%
% Parameters:
% Tp	piekperiode
% Hm0   parmameter voor Multilin, ~ significate golfhoogte
% dt	tijdstap
% h		waterdiepte
% Kr    veronderstelde terugkaatsingscoefficient
% x	    vector met veronderstelde posities golfhoogtemeters
%
% Omdat parameters de gebonden zijn aan het in te voeren stuurbestand
% worden ze ingelezen vanuit een invoerbestand
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

addpath('..\Functions');

% lees Ascii-bestand (aangemaakt met Multilin, Wave wanted, of met een
% variant op Jonswap1)
err1 = 0;

% read Ascii-file:
% FN_infile7 met toevoeging padnaam
[in_name, path_name, Fileinfo, Ag, type, err1] = FN_infile8;

if err1==0 & in_name~=0 & type==1
    
    % read parameters:
    [Inparm,error] = FN_inparmt7;

    if error==0
   
        %%%% naam invoerbestand:      
        %infile=[padnaam innaam];
  
 		%%%% lees data in:
%   		Ain=FN_indatbt7(infile);		
            
        % genereer testsignaal:    
        A = FN_testsig73(Ag,Inparm);
  		  
       % plot testsignaal
       % plot(A);
   
       % schrijf testresultaat naar uitvoerbestand:
       FN_uit_t7(in_name,Inparm,A);
   end      
end

% einde testsig7 (v.2)
