%function Wavel
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Wavel
%   Calculate wavelength from given waterdepth and wave period.
%   usage: changes input values in .m-file, and type Wavel
%   version 1
%	1-May-03	
%   For a given angular frequency w, the wave number k is calculated from
%           k = DISPER(w,h[,g]), g=9.81,
%   an approximation of the dispersion relation by Gert Klopman
%				H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all;
addpath('.\Functions');
% f   = 0.1:0.1:2;
T   = [0.5 0.6 0.8 1 1.5 2 2.5 3 4 5];
f   = 1./T;
w   = 2*pi*f;
nf  = length(f);
h   = [0.55 0.6];
nh  = length(h);
for i=1:nh
    k(i,:)  = DISPER(w,h(i));
end    
L       = (2*pi)./k;


% schrijf gegevens uitvoerbestand:
[uitnaam,uitpad] = uiputfile('*.txt','uitvoerbestand');
uitfile = [uitpad uitnaam];
FID     = fopen(uitfile,'w');
d       = datestr(now);
fprintf(FID,'Wave length as a function of depth and wave period\r\n');
fprintf(FID,'\n%s\n\n',d);
for i=1:nh
fprintf(FID,'\r\n h(m)    T(s)    L(m)\r\n');
    for k=1:nf
            fprintf(FID,'%6.2f %6.2f %8.4f\r\n', h(i),T(k),L(i,k));
    end
end

fclose(FID);

% end Wavel

