%Wavper
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Wavper
%   Calculate wave period for specified waterdepth h,
%   wave height h, and wave steepness s (1 case)
%   usage: Wavper
%   version 1
%	8-March-05	
%
%
%   Used equations:
%   wavelength: L=H/s
%   wavenumber: k=2pi/L
%   sqared angular frequency: w^2=gk tanh(kh)   
%               g: gravitational acceleration constant
%               g = 9.81 m/s^2
%   waveperiod: T=2pi/(w^2)^0.5
%				H. Klaasman
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

h   = input('waterdepth in m ');
H   = input('waveheight in m ');
s   = input('wave steepness (<1)');

L   = H/s
k   = 2*pi/L;
g   = 9.81;
w2  = g*k*tanh(k*h);
T   = 2*pi/(w2)^0.5

% end Wavper

